#include <iostream>
#include <cstdlib>

using namespace std;

int main(int argc, char* argv[]) {
  char *clogin = getenv("USER");
  // une string est plus pratique
  string login;
  if (clogin == NULL) {
    // la variable n'a pas été trouvé
    cerr << "La variable USER n'existe pas" << endl;
    login = "personne";
  } else {
    login = clogin;
  }

  char* clang = getenv("LANG");
  string lang;
  if (clang == NULL) {
    // la variable n'a pas été trouvé
    lang = "";
  } else {
    lang = clang;
  }
  string text("Hello");
  if (lang.substr(0,2) == "fr") {
    text = "Bonjour";
  }
  
  cout << text << " " << login << endl;

  return 0;
}

